diff --git sfx2/sdi/sfx.sdi sfx2/sdi/sfx.sdi
index 41e1df9..dcce53b 100644
--- sfx2/sdi/sfx.sdi
+++ sfx2/sdi/sfx.sdi
@@ -4336,7 +4336,7 @@ SfxBoolItem Modified SID_MODIFIED
 ]
 
 //--------------------------------------------------------------------------
-SfxStringItem ModifiedStatus SID_DOC_MODIFIED
+SfxBoolItem ModifiedStatus SID_DOC_MODIFIED
 
 [
     /* flags: */
diff --git sfx2/source/doc/objserv.cxx sfx2/source/doc/objserv.cxx
index 1ee9eb6..9e0936a 100644
--- sfx2/source/doc/objserv.cxx
+++ sfx2/source/doc/objserv.cxx
@@ -1060,7 +1060,7 @@ void SfxObjectShell::GetState_Impl(SfxItemSet &rSet)
 
             case SID_DOC_MODIFIED:
             {
-                rSet.Put( SfxStringItem( SID_DOC_MODIFIED, IsModified() ? '*' : ' ' ) );
+                rSet.Put( SfxBoolItem( SID_DOC_MODIFIED, IsModified() ) );
                 break;
             }
 
